This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846240 - [FEAT] quick-read should use anonymous fd framework
[FEAT] quick-read should use anonymous fd framework
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quick-read (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
: FutureFeature
: 843075 903723 (view as bug list)
Depends On:
Blocks: 850503 852576 858485 895528
  Show dependency treegraph
 
Reported: 2012-08-07 04:54 EDT by Vidya Sakar
Modified: 2014-07-11 11:33 EDT (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:23:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-07 04:54:43 EDT
quick-read translator should use the anonymous fd framework.
Comment 1 Amar Tumballi 2012-12-06 00:13:44 EST
is more work than thought for finishing before 3.4.0 timeframe, and hence would like to take it off the dependency list for 3.4.0
Comment 2 Amar Tumballi 2013-01-22 03:29:28 EST
http://review.gluster.org/4406 and dependent patchsets posted for review.
Comment 3 Vijay Bellur 2013-01-28 15:36:11 EST
CHANGE: http://review.gluster.org/4403 (quick-read: refactor) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2013-01-28 19:45:05 EST
CHANGE: http://review.gluster.org/4404 (fd: filter anonymous FD from fd_lookup() result) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Vijay Bellur 2013-01-28 19:45:47 EST
CHANGE: http://review.gluster.org/4405 (fd: expose __fd_ctx_del symbol) merged in master by Anand Avati (avati@redhat.com)
Comment 6 Vijay Bellur 2013-01-29 14:56:55 EST
CHANGE: http://review.gluster.org/4452 (quick-read: various fixes) merged in master by Anand Avati (avati@redhat.com)
Comment 7 Vijay Bellur 2013-02-06 16:16:22 EST
CHANGE: http://review.gluster.org/4406 (open-behind: translator to perform open calls in background) merged in master by Anand Avati (avati@redhat.com)
Comment 8 Vijay Bellur 2013-02-19 19:06:43 EST
CHANGE: http://review.gluster.org/4548 (cluster/afr: do complete split-brain check in all the fd based fops) merged in master by Anand Avati (avati@redhat.com)
Comment 9 Vijay Bellur 2013-02-19 19:07:35 EST
CHANGE: http://review.gluster.org/4483 (performance/open-behind: use anonymous fd for doing fstat and readv) merged in master by Anand Avati (avati@redhat.com)
Comment 10 Vijay Bellur 2013-02-19 19:08:14 EST
CHANGE: http://review.gluster.org/4520 (call-stub: internal refactor) merged in master by Anand Avati (avati@redhat.com)
Comment 11 Vijay Bellur 2013-02-20 03:40:01 EST
CHANGE: http://review.gluster.org/4521 (open-behind: propagate errors from ob_wake_cbk) merged in master by Anand Avati (avati@redhat.com)
Comment 12 Vijay Bellur 2013-02-20 16:05:09 EST
CHANGE: http://review.gluster.org/4553 (testcase for the open-behind xlator when open fails) merged in master by Anand Avati (avati@redhat.com)
Comment 14 Vijay Bellur 2013-03-05 05:23:02 EST
CHANGE: http://review.gluster.org/4620 (cluster/afr: do complete split-brain check in all the fd based fops) merged in release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 15 Vijay Bellur 2013-03-07 00:32:01 EST
CHANGE: http://review.gluster.org/4634 (testcase for the open-behind xlator when open fails) merged in release-3.4 by Anand Avati (avati@redhat.com)
Comment 16 Anand Avati 2013-06-05 13:16:57 EDT
REVIEW: http://review.gluster.org/5150 (tests: fix open-behind test) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)
Comment 17 Anand Avati 2013-09-05 06:37:27 EDT
REVIEW: http://review.gluster.org/5807 (performance/open-behind: use anonymous fd for doing fstat and readv) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 18 Anand Avati 2013-09-05 06:37:58 EDT
REVIEW: http://review.gluster.org/5808 (open-behind: propagate errors from ob_wake_cbk) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 19 Anand Avati 2013-09-05 07:54:40 EDT
REVIEW: http://review.gluster.org/5820 (call-stub: internal refactor) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 20 Anand Avati 2013-09-05 09:27:53 EDT
COMMIT: http://review.gluster.org/5820 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit 285de41f1105e18fa7bcf309fe43fb9e6d08508e
Author: Anand Avati <avati@redhat.com>
Date:   Fri Feb 15 17:14:50 2013 -0800

    call-stub: internal refactor
    
    - re-structure members of call_stub_t with new simpler layout
    - easier to inspect call_stub_t contents in gdb now
    - fix a bunch of double unrefs and double frees in cbk stub
    - change all STACK_UNWIND to STACK_UNWIND_STRICT and thereby fixed
      a lot of bad params
    - implement new API call_unwind_error() which can even be called on
      fop_XXX_stub(), and not necessarily fop_XXX_cbk_stub()
    
    Change-Id: Idf979f14d46256af0afb9658915cc79de157b2d7
    BUG: 846240
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/4520
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/5820
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
Comment 21 Anand Avati 2013-09-05 11:09:35 EDT
REVIEW: http://review.gluster.org/5807 (performance/open-behind: use anonymous fd for doing fstat and readv) posted (#2) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 22 Anand Avati 2013-09-05 11:14:35 EDT
REVIEW: http://review.gluster.org/5808 (open-behind: propagate errors from ob_wake_cbk) posted (#2) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 23 Anand Avati 2013-09-06 00:23:45 EDT
REVIEW: http://review.gluster.org/5807 (performance/open-behind: use anonymous fd for doing fstat and readv) posted (#3) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 24 Anand Avati 2013-09-06 00:28:50 EDT
REVIEW: http://review.gluster.org/5808 (open-behind: propagate errors from ob_wake_cbk) posted (#3) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 25 Anand Avati 2013-09-06 03:39:46 EDT
REVIEW: http://review.gluster.org/5807 (performance/open-behind: use anonymous fd for doing fstat and readv) posted (#4) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 26 Anand Avati 2013-09-06 03:44:37 EDT
REVIEW: http://review.gluster.org/5808 (open-behind: propagate errors from ob_wake_cbk) posted (#4) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 27 Anand Avati 2013-09-07 10:57:49 EDT
REVIEW: http://review.gluster.org/5807 (performance/open-behind: use anonymous fd for doing fstat and readv) posted (#5) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 28 Anand Avati 2013-09-07 11:02:56 EDT
REVIEW: http://review.gluster.org/5808 (open-behind: propagate errors from ob_wake_cbk) posted (#5) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 29 Anand Avati 2013-09-09 20:20:37 EDT
COMMIT: http://review.gluster.org/5807 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 3438475cfda277fac0de6758ea9f85e3587596b5
Author: Raghavendra Bhat <raghavendra@redhat.com>
Date:   Tue Feb 19 12:37:04 2013 +0530

    performance/open-behind: use anonymous fd for doing fstat and readv
    
    Change-Id: I61a3c221e0a15736ab6315e2538c03dac27480a5
    BUG: 846240
    Signed-off-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/4483
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/5807
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 30 Anand Avati 2013-09-09 20:21:25 EDT
COMMIT: http://review.gluster.org/5808 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 8e5e836e434889d4b2d37c9caf0abf2393dc198c
Author: Anand Avati <avati@redhat.com>
Date:   Fri Feb 15 17:30:56 2013 -0800

    open-behind: propagate errors from ob_wake_cbk
    
    If opening fd in background fails, then remember the error and
    fail all further calls on the fd.
    
    Use the newly introduced call_unwind_error() function from
    call-stub cleanup to fail the future calls.
    
    Change-Id: I3b09b7969c98d915abd56590a2777ce833b81813
    BUG: 846240
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/4521
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/5808
Comment 31 Anand Avati 2013-12-14 04:56:27 EST
REVIEW: http://review.gluster.org/6505 (backport call-stub: internal refactor) posted (#1) for review on release-3.3 by inevity (roidinev@gmail.com)
Comment 32 Niels de Vos 2014-07-11 11:13:25 EDT
*** Bug 843075 has been marked as a duplicate of this bug. ***
Comment 33 Niels de Vos 2014-07-11 11:33:03 EDT
*** Bug 903723 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.